Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.pf.ui
Interface JobManager

All Superinterfaces:
  Context

All Known Implementing Classes:
  IMPJobManager

    public interface JobManager

extends Context

Nested Class Summary
`static interface` | `JobManager.ExecutionListener`

Field Summary
`static int` | `ACTION_FLAGS`
`static int` | `PRIORITY_MASK`
`static int` | `QUIET`
`static int` | `RENDER_FLAGS`
`static short` | `RENDER_PRIORITY`
`static short` | `UI_PRIORITY`
`static int` | `UPDATE_FLAGS`
`static short` | `UPDATE_PRIORITY`

Method Summary
`void` | `addExecutionListener(JobManager.ExecutionListener listener)`
`void` | `cancelQueuedJob(Command command)`
`void` | `cancelTimedJob(Command command)`
`void` | `execute(Command command, java.lang.Object info, Context ctx, int flags)`
`java.lang.Thread` | `getMainThread()`
`ThreadContext` | `getThreadContext()`
`boolean` | `hasJobQueued(int minPriority)`
`boolean` | `hasTimedJobQueued()`
`void` | `removeExecutionListener(JobManager.ExecutionListener listener)`
`void` | `runAt(long time, Command command, java.lang.Object info, Context ctx)`
`void` | `runBlocking(java.lang.Runnable r)`
`void` | `runLater(Command command, java.lang.Object info, Context ctx, int flags)`
`void` | `runLater(long delay, Command command, java.lang.Object info, Context ctx)`

Methods inherited from interface de.grogra.pf.ui.Context
`getComponent, getPanel, getWindow, getWorkbench`

Field Detail

### ACTION_FLAGS

    static final int ACTION_FLAGS

See Also:
  Constant Field Values

### PRIORITY_MASK

    static final int PRIORITY_MASK

See Also:
  Constant Field Values

### QUIET

    static final int QUIET

See Also:
  Constant Field Values

### RENDER_FLAGS

    static final int RENDER_FLAGS

See Also:
  Constant Field Values

### RENDER_PRIORITY

    static final short RENDER_PRIORITY

See Also:
  Constant Field Values

### UI_PRIORITY

    static final short UI_PRIORITY

See Also:
  Constant Field Values

### UPDATE_FLAGS

    static final int UPDATE_FLAGS

See Also:
  Constant Field Values

### UPDATE_PRIORITY

    static final short UPDATE_PRIORITY

See Also:
  Constant Field Values

Method Detail

### addExecutionListener

    void addExecutionListener(JobManager.ExecutionListener listener)

### cancelQueuedJob

    void cancelQueuedJob(Command command)

### cancelTimedJob

    void cancelTimedJob(Command command)

### execute

    void execute(Command command,
                 java.lang.Object info,
                 Context ctx,
                 int flags)

### getMainThread

    java.lang.Thread getMainThread()

### getThreadContext

    ThreadContext getThreadContext()

### hasJobQueued

    boolean hasJobQueued(int minPriority)

### hasTimedJobQueued

    boolean hasTimedJobQueued()

### removeExecutionListener

    void removeExecutionListener(JobManager.ExecutionListener listener)

### runAt

    void runAt(long time,
               Command command,
               java.lang.Object info,
               Context ctx)

### runBlocking

    void runBlocking(java.lang.Runnable r)

### runLater

    void runLater(Command command,
                  java.lang.Object info,
                  Context ctx,
                  int flags)

### runLater

    void runLater(long delay,
                  Command command,
                  java.lang.Object info,
                  Context ctx)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD